Bug 249752 - Fullscreen gnome-terminal right and bottom border issues
Fullscreen gnome-terminal right and bottom border issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-26 15:58 EDT by Jakub Jelinek
Modified: 2008-06-16 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2007-07-26 15:58:59 EDT
When using gnome-terminal --full-screen --hide-menubar
with hidden scrollbar (Monospace 16 font, white on black if that matters),
with FC6 or earlier gnome-terminal the right and/or bottom borders when
the display width or height is not a multiple of character width or height
were always painted in the background color, which is IMHO the best choice.
Now in F7 gnome-terminal they inherit the background color of a neighbouring
character, which is quite ugly, because the bottom line or rightmost column
of chars looks higher or wider than the others (e.g. start mc in such
gnome-terminal on 1680x1050 display and the bottom and the cyan backgrounds of
Help, Menu, View etc. will be higher).  But what's worse, it doesn't paint that
at least all the time, sometimes it gets painted in some color and is sticky
since then till the whole screen is redrawn.  E.g. on the above mentioned
1680x1050 display where I have 38 lines with Monospace 16 font and char height 27
there is 24 lines high border at the bottom.  Start
joe /etc/termcap
(which paints
** Joe's Own Editor v3.5 ** (utf-8) ** Copyright (c) 2006 **
line with white background and black letters on the last line, after the last
** it is standard black background and new in F7 paints the border below
these letters using white as well) and press PgDn - suddenly the bottom line
contains some text, white foreground, black background, but the bottom border
was not repainted and is kept as a white box.

Similarly on 1600x1200 display with mutt, the currently highlighted subject
is painted with a different color background (depends on mutt settings, it can
be e.g. red or white) and F7 gnome-terminal paints also the neighbouring right
border with that color.  Now press say down key such that it starts auto-repeating, the highlight bar will move down, but the white or red box
remains in the border.
Comment 1 Bug Zapper 2008-05-14 09:41:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:58:36 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.